const { Command, flags } = require('@oclif/command');
const fs = require('fs');

const OnePassword = require("../libs/OnePassword");

const _key = (input) => {
	var m = input.match('host=(?<host>.*)');

	if (m) {
		return `${m.groups['host']}`;
	}
};

class GetCommand extends Command {
	async run() {
		var key = _key(fs.readFileSync(process.stdin.fd, "utf8"));

		const op = new OnePassword();
		await op.signin();

		const data = await op.get(key);

		if (data) {
			console.log(`username=${data.username}`);
			console.log(`password=${data.personal_access_token}`);
		}
	}
}

GetCommand.description = "";
GetCommand.flags = {};

module.exports = GetCommand
